#
# spec file for package perl-Class-Inner
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Class-Inner
Name:           perl-Class-Inner
Version:        0.200.1
Release:        1.1
# 0.200001 -> normalize -> 0.200.1
%define cpan_version 0.200001
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Perlish implementation of Java like inner classes
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AR/ARUNBEAR/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Class::Inner) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Yet another implementation of an anonymous class with per object
overrideable methods, but with the added attraction of sort of working
dispatch to the parent class's method.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Mon Jun 23 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
- Add cpanspec.yml for automatic spec generation
* Tue Apr 26 2011 coolo@opensuse.org
- changed license, README says "same as perl"
* Mon Apr  4 2011 coolo@novell.com
- updated to 0.200001
  * Fixed
    http://rt.cpan.org/Ticket/Display.html?id=43938
    http://rt.cpan.org/Ticket/Display.html?id=39140
    http://rt.cpan.org/Ticket/Display.html?id=33533
    Which are all really the same issue.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Oct 26 2008 gerrit.beine@gmx.de
- turned off testing for openSUSE 11.x
* Wed May 21 2008 gerrit.beine@gmx.de
- first release 0.1
